#if !defined(AFX_MYSLIDERCTRL_H__7B8AF4D4_1CFE_4D2C_9FD5_5AE8F0B272F6__INCLUDED_)
#define AFX_MYSLIDERCTRL_H__7B8AF4D4_1CFE_4D2C_9FD5_5AE8F0B272F6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MySliderCtrl.h : header file
//
class CNetPlayXCtrl;
/////////////////////////////////////////////////////////////////////////////
// CMySliderCtrl window

class CMySliderCtrl : public CSliderCtrl
{
// Construction
public:
	CMySliderCtrl();
	CNetPlayXCtrl *m_parent;
// Attributes
public:
	void UpdateTipTool(LPCTSTR string);
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMySliderCtrl)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMySliderCtrl();

	// Generated message map functions
protected:
	//{{AFX_MSG(CMySliderCtrl)
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

private:
	bool SetThumb(const CPoint& pt);
	void PostMessageToParent(const int nTBCode) const;
	bool m_bDragging;
	bool m_bDragChanged;
protected:
	CToolTipCtrl	m_tooltip;
	void            RelayEvent(UINT message, WPARAM wParam, LPARAM lParam);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYSLIDERCTRL_H__7B8AF4D4_1CFE_4D2C_9FD5_5AE8F0B272F6__INCLUDED_)
